#delimit;

************************************************************
Logits (TABLE A1)

**************************************************************



* Extramarital affairs;

insheet using "L:\belief_risk_paper\data archive\dPST_extra.csv", clear;

foreach x in age2008-out_of_ten2008{;
	qui recode `x' (-99 = .);
};

gen man_id = [_n];
gen age2006 = age2008-2;
gen age_sq2006 = age2006*age2006;
gen age_sq2008 = age2008*age2008;
replace hiv_likeli2006=. if hiv_likeli2006<0;
gen hiv_no_likeli2006=1 if hiv_likeli2006==0;
replace hiv_no_likeli2006=0 if hiv_likeli2006!=0 & hiv_likeli2006!=.;
gen hiv_low2006=1 if hiv_likeli2006==1;
replace hiv_low2006=0 if hiv_likeli2006!=1 & hiv_likeli2006!=.;
gen hiv_med2006=1 if hiv_likeli2006==2;
replace hiv_med2006=0 if hiv_likeli2006!=2 & hiv_likeli2006!=.;
gen hiv_high2006=1 if hiv_likeli2006==3;
replace hiv_high2006=0 if hiv_likeli2006!=3 & hiv_likeli2006!=.;
gen med_high2006=hiv_med2006+hiv_high2006;
replace hiv_likeli2008=. if hiv_likeli2008<0;
gen hiv_no_likeli2008=1 if hiv_likeli2008==0;
replace hiv_no_likeli2008=0 if hiv_likeli2008!=0 & hiv_likeli2008!=.;
gen hiv_low2008=1 if hiv_likeli2008==1;
replace hiv_low2008=0 if hiv_likeli2008!=1 & hiv_likeli2008!=.;
gen hiv_med2008=1 if hiv_likeli2008==2;
replace hiv_med2008=0 if hiv_likeli2008!=2 & hiv_likeli2008!=.;
gen hiv_high2008=1 if hiv_likeli2008==3;
replace hiv_high2008=0 if hiv_likeli2008!=3 & hiv_likeli2008!=.;
gen med_high2008=hiv_med2008+hiv_high2008;
gen bean_sq2006 = bean_status2006*bean_status2006;
gen bean_sq2008 = bean_status2008*bean_status2008;

qui reshape long extra bean_status age age_sq poly numchild no_numchild metal_roof hiv_low hiv_med med_high hiv_high 
	bean_sq, i(man_id) j(year);
xtset year;
drop if year==2004;

* dummies for bean category;
gen bean0 = (bean_status==0);
gen bean1 = (bean_status==1);
gen bean2_10 = (bean_status>1 & bean_status<=10);
gen bean2_4 = (bean_status>1 & bean_status<=4);
gen bean5_10 = (bean_status>4 & bean_status<=10); 



*1;
xtlogit extra bean_status, fe i(man_id);


*2;
xtlogit extra bean1 bean2_10, fe i(man_id);


*3;
xtlogit extra bean1 bean2_4 bean5_10, fe i(man_id);

*4;
xtlogit extra hiv_low med_high, i(man_id) fe;

*5;
xtlogit extra bean_status age age_sq poly metal_roof, i(man_id) fe;


*6;
xtlogit extra bean1 bean2_10 age poly metal_roof, i(man_id) fe;

*7;
xtlogit extra bean1 bean2_4 bean5_10 age age_sq poly metal_roof, i(man_id) fe;


*8;
xtlogit extra hiv_low med_high age age_sq poly metal_roof, i(man_id) fe;



**********************************;
* more than one partner;

insheet using "L:\belief_risk_paper\data archive\dPST_number.csv", clear;

foreach x in age2008-out_of_ten2008{;
	qui recode `x' (-99 = .);
};

gen man_id = [_n];
gen age2006 = age2008-2;
gen age_sq2006 = age2006*age2006;
gen age_sq2008 = age2008*age2008;
replace hiv_likeli2006=. if hiv_likeli2006<0;
gen hiv_no_likeli2006=1 if hiv_likeli2006==0;
replace hiv_no_likeli2006=0 if hiv_likeli2006!=0 & hiv_likeli2006!=.;
gen hiv_low2006=1 if hiv_likeli2006==1;
replace hiv_low2006=0 if hiv_likeli2006!=1 & hiv_likeli2006!=.;
gen hiv_med2006=1 if hiv_likeli2006==2;
replace hiv_med2006=0 if hiv_likeli2006!=2 & hiv_likeli2006!=.;
gen hiv_high2006=1 if hiv_likeli2006==3;
replace hiv_high2006=0 if hiv_likeli2006!=3 & hiv_likeli2006!=.;
gen med_high2006=hiv_med2006+hiv_high2006;
replace hiv_likeli2008=. if hiv_likeli2008<0;
gen hiv_no_likeli2008=1 if hiv_likeli2008==0;
replace hiv_no_likeli2008=0 if hiv_likeli2008!=0 & hiv_likeli2008!=.;
gen hiv_low2008=1 if hiv_likeli2008==1;
replace hiv_low2008=0 if hiv_likeli2008!=1 & hiv_likeli2008!=.;
gen hiv_med2008=1 if hiv_likeli2008==2;
replace hiv_med2008=0 if hiv_likeli2008!=2 & hiv_likeli2008!=.;
gen hiv_high2008=1 if hiv_likeli2008==3;
replace hiv_high2008=0 if hiv_likeli2008!=3 & hiv_likeli2008!=.;
gen med_high2008=hiv_med2008+hiv_high2008;
gen bean_sq2006 = bean_status2006*bean_status2006;
gen bean_sq2008 = bean_status2008*bean_status2008;



reshape long more1 bean_status age age_sq poly numchild no_numchild metal_roof hiv_low hiv_med med_high hiv_high 
	bean_sq, i(man_id) j(year);
xtset year;
drop if year==2004;

* dummies for bean category;
gen bean0 = (bean_status==0);
gen bean1 = (bean_status==1);
gen bean2_10 = (bean_status>1 & bean_status<=10);
gen bean2_4 = (bean_status>1 & bean_status<=4);
gen bean5_10 = (bean_status>4 & bean_status<=10); 


*1;
xtlogit more1 bean_status, fe i(man_id);


*2;
xtlogit more1 bean1 bean2_10, fe i(man_id);


*3;
xtlogit more1 bean1 bean2_4 bean5_10, fe i(man_id);

*4;
xtlogit more1 hiv_low med_high, i(man_id) fe;

*5;
xtlogit more1 bean_status age age_sq poly metal_roof, i(man_id) fe;


*6;
xtlogit more1 bean1 bean2_10 age poly metal_roof, i(man_id) fe;

*7;
xtlogit more1 bean1 bean2_4 bean5_10 age age_sq poly metal_roof, i(man_id) fe;


*8;
xtlogit more1 hiv_low med_high age age_sq poly metal_roof, i(man_id) fe;